Summary:	GNOME Klotski
Summary(pl.UTF-8):	Klotski dla GNOME
Name:		gnome-klotski
Version:	3.38.2
Release:	1
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	https://download.gnome.org/sources/gnome-klotski/3.38/%{name}-%{version}.tar.xz
# Source0-md5:	586f13a3bf0a9b21c84be9db6a52a447
URL:		https://wiki.gnome.org/Apps/Klotski
BuildRequires:	appstream-glib
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.42.0
BuildRequires:	gtk+3-devel >= 3.24.0
BuildRequires:	libgnome-games-support-devel >= 1.7.1
BuildRequires:	libgee-devel >= 0.8
BuildRequires:	librsvg-devel >= 2.32.0
BuildRequires:	meson
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.27.1
BuildRequires:	vala-libgee >= 0.8
BuildRequires:	vala-libgnome-games-support >= 1.7.1
BuildRequires:	vala-librsvg >= 2.32.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.42.0
Requires:	glib2 >= 1:2.42.0
Requires:	gtk+3 >= 3.24.0
Requires:	hicolor-icon-theme
Requires:	libgnome-games-support >= 1.7.1
Requires:	librsvg >= 2.32.0
Provides:	gnome-games-gnotski = 1:%{version}-%{release}
Obsoletes:	gnome-games-gnotski < 1:3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Clone of the Klotski game. The objective is to move the patterned
block to the area bordered by green markers.

%description -l pl.UTF-8
Klon gry Klotski. Celem gry jest przesunięcie zaznaczonego klocka w
pole ograniczone zielonymi znacznikami.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) %{_bindir}/gnome-klotski
%{_datadir}/dbus-1/services/org.gnome.Klotski.service
%{_datadir}/glib-2.0/schemas/org.gnome.Klotski.gschema.xml
%{_datadir}/metainfo/org.gnome.Klotski.appdata.xml
%{_desktopdir}/org.gnome.Klotski.desktop
%{_iconsdir}/hicolor/*x*/apps/org.gnome.Klotski.png
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Klotski.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Klotski-symbolic.svg
%{_mandir}/man6/gnome-klotski.6*
%changelog
* Sun Nov 22 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-klotski.git;a=log;h=master

* Sun Nov 22 2020 Jakub Bogusz <qboosh@pld-linux.org> a1237a8
- updated to 3.38.2

* Sat Oct 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 8dbb0ba
- updated to 3.38.1

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 679634b
- updated to 3.38.0

* Sun May 31 2020 Jakub Bogusz <qboosh@pld-linux.org> 3157c90
- updated to 3.36.3

* Tue Apr 28 2020 Jakub Bogusz <qboosh@pld-linux.org> 9811e36
- updated to 3.36.2

* Sat Apr 18 2020 Jakub Bogusz <qboosh@pld-linux.org> a24ea9f
- updated to 3.36.0

* Wed Jan 08 2020 Jakub Bogusz <qboosh@pld-linux.org> cea8382
- updated to 3.34.3

* Tue Nov 12 2019 Jakub Bogusz <qboosh@pld-linux.org> ae637dc
- updated to 3.34.0

* Wed Mar 21 2018 Jan Rękorajski <baggins@pld-linux.org> 4aa1db7
- release 2 (by relup.sh)

* Thu Nov 10 2016 Marcin Banasiak <marcin.banasiak@gmail.com> bac89f0
- Update to 3.22.1

* Tue Sep 27 2016 Jakub Bogusz <qboosh@pld-linux.org> c4959ca
- libgee version

* Mon Sep 19 2016 Marcin Banasiak <marcin.banasiak@gmail.com> bf3a607
- Update to 3.22.0

* Sun May 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 57de79e
- updated to 3.20.2

* Mon Mar 28 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 85dbf8a
- Update to 3.20.0

* Sun Nov 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 7029902
- updated to 3.18.2

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> c670dd7
- updated to 3.18.1

* Tue Sep 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 26e8264
- updated to 3.16.2

* Sun May 17 2015 Jakub Bogusz <qboosh@pld-linux.org> b4e8b38
- updated to 3.16.1

* Mon Jun 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 7533d76
- more verbose icon files

* Fri May 16 2014 Marcin Banasiak <marcin.banasiak@gmail.com> e70949e
- Update to 3.12.2

